--- title: "List all Allocated IPs in the system." slug: "list-all-allocated-ips-in-the-system-1" updated: 2026-03-02T22:30:52Z published: 2026-03-02T22:35:48Z canonical: "support.appgate.com/list-all-allocated-ips-in-the-system-1" --- > ## Documentation Index > Fetch the complete documentation index at: https://support.appgate.com/llms.txt > Use this file to discover all available pages before exploring further. # List all Allocated IPs in the system. Get/ip-pools/allocated-ips List all Allocated IPs in the system SecurityHTTPType bearer Query parametersquerystring Query string to filter the result list. It's used for various fields depending on the object type. Send multiple query parameters to make the queries more specific. rangestring 'Range string to limit the result list. Format: -. 3-10 means the items between the (including) 3rd and the 10th will be returned. Defaults to all objects.' Example0-10 orderBystring The field name to sort the result list. Supported fields vary from object to object. Defaults to certain field depending on the object type. Examplename descendingstring Whether the sorting is applied descending or ascending. Defaults to certain field depending on the object type. filterBy Filters the result list by the given field and value. Supported fields vary from API to API. The filters can be combined with each other as well as the generic query parameter. The given value is checked for inclusion. object property*string additionalProperties Example{ "name": "us-east", "tags": "aws" } Responses200 List of Allocated IPs. Expand Allobject rangestring The range applied to the list. Format: -/. 3-5/8 means, out of 8 count (query affects the total), the items between (including) the 3rd and the 5th are returned. Example0-30/54 orderBystring The field name used to sort the list. Examplename descendingboolean Whether the sorting is applied descending or ascending. queries Array of string The queries applied to the list. string totalCountinteger The total readable count of entities. Not influenced by the query. Example328 filterBy Array of object (FilterBy) The filters applied to the list. object namestring The field name the filter is applied to. Examplename valuestring The value used for comparison. ExampleAWS data Array of object (AllocatedIp) List of Allocated IPs. object distinguishedNamestring Distinguished name of a user&device combination. Format: "CN=,CN=,OU=" ExampleCN=4c07bc6757ea42ddb702c2d6c45419fc,CN=user,OU=ldap deviceIdstring (uuid) The device ID, same as the one in the Distinguished Name. Example4c07bc67-57ea-42dd-b702-c2d6c45419fc usernamestring The username, same as the one in the Distinguished Name. Exampleuser providerNamestring The provider name of the user, same as the one in the Distinguished Name. Exampleldap poolIdstring (uuid) ID of the IP Pool that has allocated this address. Example4c07bc67-57ea-42dd-b702-c2d6c45419fc ipAddressstring IP address either version 4 or 6 assigned to the tunnel. Example10.0.0.52 allocationTimestring (date-time) When the IP was allocated. expirationTimestring (date-time) When the IP allocation will be expired. It's equal to the last Entitlement Token's expiration date. Note that the allocation will still be reserved for the device & user according to the IP Pool settings. 401 Token error. Login again. object Generic HTTP error. idstring Machine readable error code. messagestring Human readable error details. 403 Insufficient permissions to access this resource. object Generic HTTP error. idstring Machine readable error code. messagestring Human readable error details. 406 Invalid 'Accept' header. object Generic HTTP error. idstring Machine readable error code. messagestring Human readable error details. 500 Unexpected server side error. object Generic HTTP error. idstring Machine readable error code. messagestring Human readable error details.